org.apache.fop.util

## Class QName

- java.lang.Object
- - org.apache.xmlgraphics.util.QName
  - - org.apache.fop.util.QName

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  Use the XML Graphics Commons variant instead!

      public class QName
      extends org.apache.xmlgraphics.util.QName

  Represents a qualified name of an XML element or an XML attribute.

  Note: This class allows to carry a namespace prefix but it is not used in the equals() and hashCode() methods.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QName(java.lang.String namespaceURI, java.lang.String qName)` Deprecated. Main constructor.
    `QName(java.lang.String namespaceURI, java.lang.String prefix, java.lang.String localName)` Deprecated. Main constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlgraphics.util.QName

      `equals, getLocalName, getNamespaceURI, getPrefix, getQName, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QName

          public QName(java.lang.String namespaceURI,
                       java.lang.String prefix,
                       java.lang.String localName)

      Deprecated.
      Main constructor.
      Parameters:
        `namespaceURI` - the namespace URI
        `prefix` - the namespace prefix, may be null
        `localName` - the local name

    - #### QName

          public QName(java.lang.String namespaceURI,
                       java.lang.String qName)

      Deprecated.
      Main constructor.
      Parameters:
        `namespaceURI` - the namespace URI
        `qName` - the qualified name

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.